Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class HMACAlgorithm

    java.lang.Object
      org.mozilla.jss.crypto.Algorithm
          org.mozilla.jss.crypto.DigestAlgorithm
              org.mozilla.jss.crypto.HMACAlgorithm

    public class HMACAlgorithm

extends DigestAlgorithm

Algorithms for performing HMACs. These can be used to create MessageDigests.

Field Summary
`static HMACAlgorithm` | `SHA1` SHA-1 HMAC.

Fields inherited from class org.mozilla.jss.crypto.DigestAlgorithm
`MD2, MD5, SHA256, SHA384, SHA512`

Fields inherited from class org.mozilla.jss.crypto.Algorithm
`CKM_AES_CBC, CKM_AES_CBC_PAD, CKM_AES_ECB, CKM_AES_KEY_GEN, CKM_DES_CBC_PAD, CKM_DES_KEY_GEN, CKM_DES3_CBC_PAD, CKM_DES3_ECB, CKM_DES3_KEY_GEN, CKM_DSA_KEY_PAIR_GEN, CKM_EC_KEY_PAIR_GEN, CKM_PBA_SHA1_WITH_SHA1_HMAC, CKM_RC2_CBC_PAD, CKM_RC2_KEY_GEN, CKM_RC4_KEY_GEN, CKM_RSA_PKCS_KEY_PAIR_GEN, CKM_SHA_1_HMAC, oid, oidIndex, SEC_OID_ANSIX9_DSA_SIGNATURE, SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST, SEC_OID_ANSIX962_EC_PUBLIC_KEY, SEC_OID_ANSIX962_ECDSA_SHA1_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA256_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA384_SIGNATURE, SEC_OID_ANSIX962_ECDSA_SHA512_SIGNATURE, SEC_OID_DES_CBC, SEC_OID_DES_ECB, SEC_OID_DES_EDE3_CBC, SEC_OID_MD2, SEC_OID_MD5, SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA256_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA384_WITH_RSA_ENCRYPTION, SEC_OID_PKCS1_SHA512_WITH_RSA_ENCRYPTION, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC, SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4, SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC, SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC, SEC_OID_RC2_CBC, SEC_OID_RC4, SEC_OID_SHA1, SEC_OID_SHA256, SEC_OID_SHA384, SEC_OID_SHA512`

Constructor Summary
`protected` | `HMACAlgorithm(int oidIndex, java.lang.String name, OBJECT_IDENTIFIER oid, int outputSize)`

Method Summary
`static DigestAlgorithm` | `fromOID(OBJECT_IDENTIFIER oid)` Looks up the HMAC algorithm with the given OID.

Methods inherited from class org.mozilla.jss.crypto.DigestAlgorithm
`getOutputSize`

Methods inherited from class org.mozilla.jss.crypto.Algorithm
`getParameterClass, getParameterClasses, isValidParameterObject, toOID, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHA1

    public static final HMACAlgorithm SHA1

  SHA-1 HMAC. This is a Message Authentication Code that uses a symmetric key together with SHA-1 digesting to create a form of signature.

Constructor Detail

### HMACAlgorithm

    protected HMACAlgorithm(int oidIndex,
                            java.lang.String name,
                            OBJECT_IDENTIFIER oid,
                            int outputSize)

Method Detail

### fromOID

    public static DigestAlgorithm fromOID(OBJECT_IDENTIFIER oid)
                                   throws java.security.NoSuchAlgorithmException

  Looks up the HMAC algorithm with the given OID.

  Throws:
    `java.security.NoSuchAlgorithmException` - If no registered HMAC algorithm has the given OID.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD